# Scikit-TDA

Scikit-TDA is a home for compatible TDA Python libraries intended for non-topologists. 

|   |   |
|---|---|
|<img src="https://openclipart.org/image/2400px/svg_to_png/293844/under-construction_geek_man_01.png" height="100" >  | Scikit-TDA is currently under construction. If you would like to contribute, please reach out to us on [github](https://github.com/scikit-tda), [twitter](https://twitter.com/scikit_tda) or on [Slack](scikit-tda.slack.com).|
<hr size=100 noshade="True">


This project aims to provide a curated library of TDA Python tools that are widely usable and easily approachable. 

It is structured so that each package can stand alone or be used as part of the scikit-tda bundle. 

Current packages available: 

- [Ripser](https://pypi.org/project/ripser/) - Data to diagrams in one line
- [Persim](https://pypi.org/project/persim/) - Easy Persistence Images
- [UMAP](https://pypi.org/project/umap-learn/) - Mathematically justified dimensionality reduction
- [Kepler Mapper](https://pypi.org/project/kmapper/) - Mapper framework integrated into sklearn
- [TaDAsets](https://pypi.org/project/tadasets/) - Constructors for common data sets for demonstrating TDa.


# Setup

To install all these libraries
```
    pip install scikit-tda
```

## Contributions

This project is entirely a work in progress and still in the conceptual phase. We hope to assemble an ecosystem of TDA libraries, complete with documentation and examples, that is approachable to people outside the field of Algebraic Topology.  If you would like to contribute and have ideas for how to do so, please reach out!
